Videoslash API
Account

Get account

GET
/v1/account

Retrieve the authenticated user's profile information.

Requires an API key with the read scope.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Create a key in your Account settings.

Pass the full key in the Authorization header:

Authorization: Bearer vsl_...

Keys are shown only once at creation. Treat them like passwords.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/account"
{  "id": "cm7p632hk0000oh0klxa4zfih",  "name": "Jane Doe",  "email": "[email protected]",  "createdAt": "2025-02-28T19:29:21.753Z"}

{  "error": {    "code": "missing_api_key",    "message": "Missing API key. Provide Authorization: Bearer vsl_..."  }}

{  "error": {    "code": "missing_api_key",    "message": "string"  }}
{  "error": {    "code": "missing_api_key",    "message": "string"  }}